<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/access-php5.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/access-php5.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/access-php5.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests\Parser
<a name="line5"></a> */
<a name="line6"></a>class TestAccessLevelPHP5 extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>    var $output;
<a name="line10"></a>    
<a name="line11"></a>	function testAccessLevelPHP5() {
<a name="line12"></a>        $this->DoctorTestCase('Access level PHP5 tests');
<a name="line13"></a>		
<a name="line14"></a>		$this->clearOutputDir();
<a name="line15"></a>		
<a name="line16"></a>		$this->setIniFile('access-php5.ini');
<a name="line17"></a>		$this->runPhpDoctor();
<a name="line18"></a>		
<a name="line19"></a>		$this->output = $this->readOutputFile('phpdoctor/tests/parser/accesslevelphp5.html');
<a name="line20"></a>		#var_dump($this->output);
<a name="line21"></a>	}
<a name="line22"></a>	
<a name="line23"></a>	function testPublicVar() {
<a name="line24"></a>		$this->assertStringContains('<code class="signature">public mixed <strong>$publicVar</strong></code>', $this->output, TRUE);
<a name="line25"></a>	}
<a name="line26"></a>	
<a name="line27"></a>	function testProtectedVar() {
<a name="line28"></a>		$this->assertStringContains('<code class="signature">protected mixed <strong>$protectedVar</strong></code>', $this->output, TRUE);
<a name="line29"></a>	}
<a name="line30"></a>	
<a name="line31"></a>	function testPrivateVar() {
<a name="line32"></a>		$this->assertStringContains('<code class="signature">private mixed <strong>$privateVar</strong></code>', $this->output, TRUE);
<a name="line33"></a>	}
<a name="line34"></a>	
<a name="line35"></a>	function testPublicMethod() {
<a name="line36"></a>		$this->assertStringContains('<code class="signature">public void <strong>publicMethod</strong>()</code>', $this->output, TRUE);
<a name="line37"></a>	}
<a name="line38"></a>	
<a name="line39"></a>	function testProtectedMethod() {
<a name="line40"></a>		$this->assertStringContains('<code class="signature">protected void <strong>protectedMethod</strong>()</code>', $this->output, TRUE);
<a name="line41"></a>	}
<a name="line42"></a>	
<a name="line43"></a>	function testPrivateMethod() {
<a name="line44"></a>		$this->assertStringContains('<code class="signature">private void <strong>privateMethod</strong>()</code>', $this->output, TRUE);
<a name="line45"></a>	}
<a name="line46"></a>	
<a name="line47"></a>	function testProtectedConstructor() {
<a name="line48"></a>		$this->assertStringContains('<code class="signature">protected void <strong>__construct</strong>()</code>', $this->output, TRUE);
<a name="line49"></a>	}
<a name="line50"></a>}
<a name="line51"></a>
<a name="line52"></a>?>
<a name="line53"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/access-php5.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>